Subject: Re: INTERACTIVE_CONSOLE for misc-embedded.c and watchdog issue

From: Marcelo Tosatti <[email-masked]>
Date: Fri, 2 Dec 2005 16:24:47 -0200

Hi Tom,

On Mon, Nov 28, 2005 at 04:27:38PM -0700, Tom Rini wrote:
> On Thu, Nov 17, 2005 at 01:17:30PM -0200, Marcelo Tosatti wrote:
> 
> > The following patch against misc-embedded.c adds an INTERACTIVE_CONSOLE
> > #define to guard reading from console (causes unecessary delay in some
> > situations).
> > 
> > Its an adaptation of misc.c's define, a difference being that platform
> > headers define "NO_INTERACTIVE_CONSOLE" if required.
> > 
> > What do you think?
> 
> Please put a comment above the #ifndef stating where the define should
> be.  But I have a feeling that's going to be somewhere under
> arch/ppc/platforms/ or include/asm-ppc/ and I don't know if that's a
> good idea...

arch/ppc/platforms/ surely. You have a problem with that?

> I've got a vauge idea on how we can handle this a little bit more
> cleanly, in the merge tree.

How's that? Should I cancel the patch, then?